Trust Rail

Verify an Intent Certificate against the live cart

GET
/intents/{id}/verify

Verify an Intent Certificate against the live cart.

Authorization

__Host-qm_session<token>

Session cookie set by sign-in on HTTPS deployments (the hosted demo).

In: cookie

Path Parameters

id*string

Resource id (UUID).

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/intents/0f8fad5b-d9cb-469f-a165-70867728950e/verify"
{  "intent_id": "string",  "status": "VALID",  "valid": true,  "checks": [    {      "code": "string",      "passed": true,      "detail": "string"    }  ],  "certificate": {    "id": "string",    "status": "ACTIVE",    "payload": {      "certificate_version": 1,      "intent_id": "string",      "organization_id": "string",      "buyer_id": "string",      "purchase_order_id": "string",      "supplier_id": "string",      "cart_hash": "string",      "mandate_id": "string",      "mandate_version": 0,      "policy_decision_id": "string",      "currency": "string",      "approved_amount_minor": 0,      "approved_at": "string",      "expires_at": "string",      "nonce": "string",      "key_id": "string"    },    "key_id": "string",    "signature": "string",    "algorithm": "Ed25519",    "issued_at": "string",    "expires_at": "string"  },  "verified_at": "string"}